## hugo 0.15%2Bgit20160206.203.ed23711

=== debian/changelog ===
hugo (0.15+git20160206.203.ed23711-1) unstable; urgency=high

  * New upstream snapshot:
     - Fix Hugo hang up with empty content directory
  * Depend on a newer version of golang-github-spf13-afero-dev
    (>= 0.0~git20160125.0.a5d3e7c) to ensure theme's static files
    are synchronized
  * Special thanks to Tatsushi Demachi (@tatsushid) for fixing
    the two high-priority bugs listed above.

 -- Anthony Fok <foka@debian.org>  Sat, 06 Feb 2016 18:43:24 +0800

hugo (0.15+git20160128.179.5def6d9-1) unstable; urgency=medium

  * New upstream snapshot
  * Update dependencies on latest Afero and Cobra with matching APIs
    (Closes: #812645)

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jan 2016 15:12:18 +0800

hugo (0.15+git20160109.147.dd1d655-2) unstable; urgency=medium

  * Allow the use of gccgo on architectures without golang-go
  * Remove manual fixes to auto-generated hugo-server.1 man page
    now that golang-github-cpuguy83-go-md2man-dev (1.0.5-1) is here
  * Depends on latest golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9)
    for recent fixes

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2016 05:46:38 -0700

hugo (0.15+git20160109.147.dd1d655-1) unstable; urgency=medium

  * Initial release, Take 2 (Closes: #798418)
  * Install bash completion for Hugo

 -- Anthony Fok <foka@debian.org>  Mon, 11 Jan 2016 16:09:38 -0700

hugo (0.15+git20151224.105.1d6286b-1) unstable; urgency=medium

  * Initial release (Closes: #798418)

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 13:18:27 -0700

## hugo 0.15+git20160206.203.ed23711

=== Makefile ===

# Adds build information from git repo
#
# as suggested by tatsushid in
# https://github.com/spf13/hugo/issues/540

COMMIT_HASH=`git rev-parse --short HEAD 2>/dev/null`
BUILD_DATE=`date +%FT%T%z`
LDFLAGS=-ldflags "-X github.com/spf13/hugo/hugolib.CommitHash=${COMMIT_HASH} -X github.com/spf13/hugo/hugolib.BuildDate=${BUILD_DATE}"

all: gitinfo

install: install-gitinfo

help:
	echo ${COMMIT_HASH}
	echo ${BUILD_DATE}

gitinfo:
	go build ${LDFLAGS} -o hugo main.go

install-gitinfo:
	go install ${LDFLAGS} ./...

no-git-info:
	go build -o hugo main.go

docker:
	docker build -t hugo .
	docker rm -f hugo-build || true
	docker run --name hugo-build hugo ls /go/bin
	docker cp hugo-build:/go/bin/hugo .
	docker rm hugo-build

## hugo 0.15+git20160128.179.5def6d9

=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               bash-completion,
               golang-go [amd64 arm64 armel armhf i386 ppc64 ppc64el],
               gccgo [!amd64 !arm64 !armel !armhf !i386 !ppc64 !ppc64el],
               golang-bitbucket-pkg-inflect-dev,
               golang-toml-dev (>= 0.1.0+git20150501.21.056c9bc) | golang-github-burntsushi-toml-dev,
               golang-github-dchest-cssmin-dev,
               golang-github-eknkc-amber-dev,
               golang-websocket-dev | golang-github-gorilla-websocket-dev,
               golang-github-kardianos-osext-dev,
               golang-pretty-dev | golang-github-kr-pretty-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
               golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-nitro-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-x-text-dev | golang-golang-x-text-dev,
               golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9),
               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.6
Homepage: http://gohugo.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/hugo.git
XS-Go-Import-Path: github.com/spf13/hugo

Package: hugo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at http://gohugo.io/

Package: golang-github-spf13-hugo-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-bitbucket-pkg-inflect-dev,
         golang-github-burntsushi-toml-dev | golang-toml-dev (>= 0.1.0+git20150501.21.056c9bc),
         golang-github-dchest-cssmin-dev,
         golang-github-eknkc-amber-dev,
         golang-github-gorilla-websocket-dev | golang-websocket-dev,
         golang-github-kardianos-osext-dev,
         golang-github-kr-pretty-dev | golang-pretty-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev,
         golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
         golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-text-dev | golang-x-text-dev,
         golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9),
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.
Section: devel
Priority: extra

## hugo 0.15+git20160206.203.ed23711

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-github-mitchellh-mapstructure-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev,
-               golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
+               golang-github-spf13-afero-dev (>= 0.0~git20160201.0.4c1d2aa),
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
                golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
@@ -75,7 +75,7 @@
          golang-github-mitchellh-mapstructure-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
-         golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
+         golang-github-spf13-afero-dev (>= 0.0~git20160201.0.4c1d2aa),
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
          golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),

=== debian/rules ===
#!/usr/bin/make -f

HUGO := obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/bin/hugo

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang
	
	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
	
	$(HUGO) gen man --dir=debian/man
	
	# TODO: Add "hugo-docs" package in the future
	$(HUGO) -s docs -d public/html --uglyURLs

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	dh_bash-completion -O--buildsystem=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hugo-$1\.tar\.gz/ \
  https://github.com/spf13/hugo/tags .*/v?(\d\S*)\.tar\.gz

## hugo 0.16

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 COMMIT_HASH=`git rev-parse --short HEAD 2>/dev/null`
 BUILD_DATE=`date +%FT%T%z`
 LDFLAGS=-ldflags "-X github.com/spf13/hugo/hugolib.CommitHash=${COMMIT_HASH} -X github.com/spf13/hugo/hugolib.BuildDate=${BUILD_DATE}"
+
+DIRS=$(shell go list -f {{.Dir}} ./...)
 
 all: gitinfo
 
@@ -31,3 +33,37 @@
 	docker run --name hugo-build hugo ls /go/bin
 	docker cp hugo-build:/go/bin/hugo .
 	docker rm hugo-build
+
+
+check: fmt vet test test-race
+
+cyclo:
+	@for d in $(DIRS) ; do \
+		if [ "`gocyclo -over 20 $$d | tee /dev/stderr`" ]; then \
+			echo "^ cyclomatic complexity exceeds 20, refactor the code!" && echo && exit 1; \
+		fi \
+	done
+
+fmt:
+	@for d in $(DIRS) ; do \
+		if [ "`gofmt -l $$d/*.go | tee /dev/stderr`" ]; then \
+			echo "^ improperly formatted go files" && echo && exit 1; \
+		fi \
+	done
+
+lint:
+	@if [ "`golint ./... | tee /dev/stderr`" ]; then \
+		echo "^ golint errors!" && echo && exit 1; \
+	fi
+
+test:
+	go test ./...
+
+test-race:
+	go test -race ./...
+
+vet:
+	@if [ "`go vet ./... | tee /dev/stderr`" ]; then \
+		echo "^ go vet errors!" && echo && exit 1; \
+	fi
+

=== debian/changelog ===
hugo (0.16-2) unstable; urgency=medium

  * Build with golang-any (>= 2:1.7~1)

 -- Anthony Fok <foka@debian.org>  Wed, 24 Aug 2016 10:49:32 -0600

hugo (0.16-1) unstable; urgency=medium

  * New upstream release
  * Refresh dependencies in debian/control:
    - Replace architecture-specific hack with golang-any in Build-Depends
    - Remove old transitional alternate dependencies
    - Update several versioned dependencies

 -- Anthony Fok <foka@debian.org>  Sun, 12 Jun 2016 02:16:18 -0600

hugo (0.15+git20160427.545.0903886-1) unstable; urgency=medium

  * New upstream snapshot
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URLs for Vcs-Git and Homepage fields
    - New dependency on golang-github-kyokomi-emoji-dev
    - Change dependency on golang-github-go-fsnotify-fsnotify-dev to
      its new name golang-github-fsnotify-fsnotify-dev,
      golang-pretty-dev to golang-github-kr-pretty-dev,
      and golang-x-text-dev to golang-golang-x-text-dev
  * Refresh 001-disable-google-analytics-in-docs.patch
  * Refresh debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 30 Apr 2016 03:37:41 +0800

=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               bash-completion,
               golang-any (>= 2:1.7~1),
               golang-bitbucket-pkg-inflect-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-dchest-cssmin-dev,
               golang-github-eknkc-amber-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-kardianos-osext-dev,
               golang-github-kr-pretty-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev (>= 0.0~git20160607.0.1238ba1),
               golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
               golang-github-spf13-jwalterweatherman-dev (>= 0.0~git20160311.0.33c24e7),
               golang-github-spf13-nitro-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-golang-x-text-dev,
               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.8
Homepage: https://gohugo.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
XS-Go-Import-Path: github.com/spf13/hugo

Package: hugo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

Package: golang-github-spf13-hugo-dev
Section: devel
Priority: extra
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-bitbucket-pkg-inflect-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-dchest-cssmin-dev,
         golang-github-eknkc-amber-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-kardianos-osext-dev,
         golang-github-kr-pretty-dev,
         golang-github-kyokomi-emoji-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev,
         golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev (>= 0.0~git20160607.0.1238ba1),
         golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-text-dev,
         golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.

## hugo 0.18

=== debian/changelog ===
hugo (0.18-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18. Closes: #846552, #848406
    - Update Build-Depends with currently needed packages
    - Refresh patch
    - Add new patch to disable git information in docs
  * Use debhelper v10
  * Disable network access during testing by using -test.short flag
  * Remove no longer needed lintian override
  * Update debian/copyright for new upstream files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Dec 2016 17:43:52 +0100

## hugo 0.18.1

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 COMMIT_HASH=`git rev-parse --short HEAD 2>/dev/null`
 BUILD_DATE=`date +%FT%T%z`
 LDFLAGS=-ldflags "-X github.com/spf13/hugo/hugolib.CommitHash=${COMMIT_HASH} -X github.com/spf13/hugo/hugolib.BuildDate=${BUILD_DATE}"
-
-DIRS=$(shell go list -f {{.Dir}} ./...)
+PACKAGES = $(shell govendor list -no-status +local | sed 's/github.com.spf13.hugo/./')
 
 all: gitinfo
 
@@ -34,36 +33,51 @@
 	docker cp hugo-build:/go/bin/hugo .
 	docker rm hugo-build
 
+govendor:
+	go get -u github.com/kardianos/govendor
+	go install github.com/kardianos/govendor
+	govendor sync github.com/spf13/hugo
 
 check: fmt vet test test-race
 
 cyclo:
-	@for d in $(DIRS) ; do \
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
 		if [ "`gocyclo -over 20 $$d | tee /dev/stderr`" ]; then \
 			echo "^ cyclomatic complexity exceeds 20, refactor the code!" && echo && exit 1; \
 		fi \
 	done
 
 fmt:
-	@for d in $(DIRS) ; do \
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
 		if [ "`gofmt -l $$d/*.go | tee /dev/stderr`" ]; then \
 			echo "^ improperly formatted go files" && echo && exit 1; \
 		fi \
 	done
 
 lint:
-	@if [ "`golint ./... | tee /dev/stderr`" ]; then \
-		echo "^ golint errors!" && echo && exit 1; \
-	fi
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
+		if [ "`golint $$d | tee /dev/stderr`" ]; then \
+			echo "^ golint errors!" && echo && exit 1; \
+		fi \
+	done
+
+get:
+	go get -v -t ./...
 
 test:
-	go test ./...
+	govendor test +local
 
 test-race:
-	go test -race ./...
+	govendor test -race +local
 
 vet:
-	@if [ "`go vet ./... | tee /dev/stderr`" ]; then \
+	@if [ "`govendor vet +local | tee /dev/stderr`" ]; then \
 		echo "^ go vet errors!" && echo && exit 1; \
 	fi
 
+test-cover-html:
+	echo "mode: count" > coverage-all.out
+	$(foreach pkg,$(PACKAGES),\
+		govendor test -coverprofile=coverage.out -covermode=count $(pkg);\
+		tail -n +2 coverage.out >> coverage-all.out;)
+	go tool cover -html=coverage-all.out

=== debian/changelog ===
hugo (0.18.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18.1
    - Add new patch to prevent test failures, can be dropped with 0.19
  * Enable parallel building again, it was not the source of the FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Dec 2016 17:01:10 +0100

hugo (0.18-2) unstable; urgency=medium

  * Disable parallel building to prevent FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 24 Dec 2016 11:51:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
                bash-completion,
                golang-any (>= 2:1.7~1),
-               golang-bitbucket-pkg-inflect-dev,
-               golang-github-burntsushi-toml-dev,
+               golang-github-bep-gitmap-dev,
+               golang-github-bep-inflect-dev,
                golang-github-dchest-cssmin-dev,
                golang-github-eknkc-amber-dev,
+               golang-github-fortytw2-leaktest-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
                golang-github-gorilla-websocket-dev,
                golang-github-kardianos-osext-dev,
-               golang-github-kr-pretty-dev,
                golang-github-kyokomi-emoji-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
+               golang-github-nicksnyder-go-i18n-dev,
+               golang-github-pelletier-go-toml-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev,
                golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
@@ -25,12 +28,12 @@
                golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
                golang-github-spf13-jwalterweatherman-dev (>= 0.0~git20160311.0.33c24e7),
                golang-github-spf13-nitro-dev,
+               golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-text-dev,
-               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
-               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.8
 Homepage: https://gohugo.io/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
@@ -66,30 +69,33 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-bitbucket-pkg-inflect-dev,
-         golang-github-burntsushi-toml-dev,
+         golang-github-bep-gitmap-dev,
+         golang-github-bep-inflect-dev,
          golang-github-dchest-cssmin-dev,
          golang-github-eknkc-amber-dev,
+         golang-github-fortytw2-leaktest-dev,
+         golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
          golang-github-gorilla-websocket-dev,
          golang-github-kardianos-osext-dev,
-         golang-github-kr-pretty-dev,
          golang-github-kyokomi-emoji-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
+         golang-github-nicksnyder-go-i18n-dev,
+         golang-github-pelletier-go-toml-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev (>= 0.0~git20160607.0.1238ba1),
          golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
-         golang-github-spf13-jwalterweatherman-dev,
+         golang-github-spf13-jwalterweatherman-dev (>= 0.0~git20160311.0.33c24e7),
          golang-github-spf13-nitro-dev,
+         golang-github-spf13-pflag-dev,
          golang-github-spf13-viper-dev,
          golang-github-stretchr-testify-dev,
          golang-github-yosssi-ace-dev,
          golang-golang-x-text-dev,
-         golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
-         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
+         golang-gopkg-yaml.v2-dev
 Description: Go source code and library of Hugo the static website generator
  Hugo is a static site generator written in Go. It is optimized for speed,
  ease of use, and configurability. Hugo takes a directory with content and

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,14 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+# Disable network access during testing by using -test.short flag
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem=golang -- -test.short
+
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang
-	
 	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
-	
 	$(HUGO) gen man --dir=debian/man
-	
 	# TODO: Add "hugo-docs" package in the future
 	$(HUGO) -s docs -d public/html --uglyURLs

## hugo 0.25.1

=== Makefile ===
# A Self-Documenting Makefile: http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

PACKAGE = github.com/gohugoio/hugo
COMMIT_HASH = `git rev-parse --short HEAD 2>/dev/null`
BUILD_DATE = `date +%FT%T%z`
LDFLAGS = -ldflags "-X ${PACKAGE}/hugolib.CommitHash=${COMMIT_HASH} -X ${PACKAGE}/hugolib.BuildDate=${BUILD_DATE}"
NOGI_LDFLAGS = -ldflags "-X ${PACKAGE}/hugolib.BuildDate=${BUILD_DATE}"

.PHONY: vendor docker check fmt lint test test-race vet test-cover-html help
.DEFAULT_GOAL := help

vendor: ## Install govendor and sync Hugo's vendored dependencies
	go get github.com/kardianos/govendor
	govendor sync ${PACKAGE}

hugo: vendor ## Build hugo binary
	go build ${LDFLAGS} ${PACKAGE}

hugo-race: vendor ## Build hugo binary with race detector enabled
	go build -race ${LDFLAGS} ${PACKAGE}

install: vendor ## Install hugo binary
	go install ${LDFLAGS} ${PACKAGE}

hugo-no-gitinfo: LDFLAGS = ${NOGI_LDFLAGS}
hugo-no-gitinfo: vendor hugo ## Build hugo without git info

docker: ## Build hugo Docker container
	docker build -t hugo .
	docker rm -f hugo-build || true
	docker run --name hugo-build hugo ls /go/bin
	docker cp hugo-build:/go/bin/hugo .
	docker rm hugo-build

govendor: vendor # Deprecated: use "vendor" target
get: vendor # Deprecated: use "vendor"
gitinfo: hugo # Deprecated: use "hugo" target
install-gitinfo: install # Deprecated: use "install" target
no-git-info: hugo-no-gitinfo # Deprecated: use "hugo-no-gitinfo" target

check: test-race test386 fmt vet ## Run tests and linters

test386: ## Run tests in 32-bit mode
	GOARCH=386 govendor test +local

test: ## Run tests
	govendor test +local

test-race: ## Run tests with race detector
	govendor test -race +local

fmt: ## Run gofmt linter
	@for d in `govendor list -no-status +local | sed 's/github.com.gohugoio.hugo/./'` ; do \
		if [ "`gofmt -l $$d/*.go | tee /dev/stderr`" ]; then \
			echo "^ improperly formatted go files" && echo && exit 1; \
		fi \
	done

lint: ## Run golint linter
	@for d in `govendor list -no-status +local | sed 's/github.com.gohugoio.hugo/./'` ; do \
		if [ "`golint $$d | tee /dev/stderr`" ]; then \
			echo "^ golint errors!" && echo && exit 1; \
		fi \
	done

vet: ## Run go vet linter
	@if [ "`govendor vet +local | tee /dev/stderr`" ]; then \
		echo "^ go vet errors!" && echo && exit 1; \
	fi

test-cover-html: PACKAGES = $(shell govendor list -no-status +local | sed 's/github.com.gohugoio.hugo/./')
test-cover-html: ## Generate test coverage report
	echo "mode: count" > coverage-all.out
	$(foreach pkg,$(PACKAGES),\
		govendor test -coverprofile=coverage.out -covermode=count $(pkg);\
		tail -n +2 coverage.out >> coverage-all.out;)
	go tool cover -html=coverage-all.out

check-vendor: ## Verify that vendored packages match git HEAD
	@git diff-index --quiet HEAD vendor/ || (echo "check-vendor target failed: vendored packages out of sync" && echo && git diff vendor/ && exit 1)

help:
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
hugo (0.25.1-2) unstable; urgency=medium

  * Add 003-accommodate-gccgo-in-TestMethodToName.patch
    to allow the test to pass with gccgo.
  * Get hugo to build on mips, mipsel and mips64el:
     1. Add e.g. "-tags mipsle" as appropriate so that golang.org/x/sys/unix
        builds correctly before the release of GCC 7.2 which hopefully
        contains the harmonized GOARCH values for gccgo.
        See https://github.com/golang/go/issues/18031
     2. Run "go install" and "go test" in single thread and allow retries
        to beat the "waitid: bad address" error on mips and mipsel.
        See https://bugs.debian.org/867358

 -- Anthony Fok <foka@debian.org>  Thu, 03 Aug 2017 02:06:42 -0600

hugo (0.25.1-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.25.1
  * Rename -dev package to golang-github-gohugoio-hugo-dev following
    upstream’s move from github.com/spf13/hugo to github.com/gohugoio/hugo
    - Update Go-Import-Path
    - Update source URL in debian/copyright
    - Rename debhelper install file for -dev package
  * Update Build-Deps
    - golang-github-burntsushi-toml-dev
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-github-hashicorp-go-immutable-radix-dev
    - golang-golang-x-image-dev
  * Add Testsuite: autopkgtest-pkg-go
  * Update to Standards-Version 4.0.0: Use HTTPS URL for debian/copyright

  [ Anthony Fok ]
  * Special thanks to Dr. Tobias Quathamer who have created the following
    new Debian package specifically for the new Hugo release:
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-golang-x-image-dev
  * Add Dr. Tobias Quathamer to the list of Uploaders
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-update-dateFormat-test-expectations-for-epoch-values.patch
    which was previously cherry-picked from upstream
  * Add CI=true to skip new Git tests which upstream also skips on Travis CI
  * Update debian/watch for the spf13 → gohugoio migration
  * Update copyright year and files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2017 16:38:35 -0600

=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10),
               bash-completion,
               dh-golang,
               golang-any,
               golang-github-bep-gitmap-dev,
               golang-github-bep-inflect-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-chaseadamsio-goorgeous-dev,
               golang-github-dchest-cssmin-dev,
               golang-github-eknkc-amber-dev,
               golang-github-fortytw2-leaktest-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-hashicorp-go-immutable-radix-dev,
               golang-github-kardianos-osext-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-nicksnyder-go-i18n-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-spf13-afero-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-fsync-dev,
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-nitro-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-golang-x-image-dev,
               golang-golang-x-text-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.0.0
Homepage: https://gohugo.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
XS-Go-Import-Path: github.com/gohugoio/hugo
Testsuite: autopkgtest-pkg-go

Package: hugo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

Package: golang-github-gohugoio-hugo-dev
Section: devel
Priority: extra
Architecture: all
Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bep-gitmap-dev,
         golang-github-bep-inflect-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-chaseadamsio-goorgeous-dev,
         golang-github-dchest-cssmin-dev,
         golang-github-eknkc-amber-dev,
         golang-github-fortytw2-leaktest-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-hashicorp-go-immutable-radix-dev,
         golang-github-kardianos-osext-dev,
         golang-github-kyokomi-emoji-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-nicksnyder-go-i18n-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev,
         golang-github-spf13-afero-dev,
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-fsync-dev,
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-image-dev,
         golang-golang-x-text-dev,
         golang-gopkg-yaml.v2-dev
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.

=== debian/rules ===
#!/usr/bin/make -f

HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo

# We need to add -tags to for gccgo to handle MIPS architectures where
# gccgo uses "mipso32" for mips/mipsle and "mipsn64" for mips64/mips64le
ifeq ($(findstring mips,$(DEB_BUILD_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDTAGS := $(DEB_BUILD_ARCH:el=le)
endif

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
ifdef BUILDTAGS
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS)
else
	dh_auto_build -O--buildsystem=golang
endif
	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
	$(HUGO) gen man --dir=debian/man
	# TODO: Add "hugo-docs" package in the future
	$(HUGO) -s docs -d public/html --uglyURLs

# Disable network access during testing by using -test.short flag,
# and skip Git tests which upstream has also disabled for Travis CI.
override_dh_auto_test:
ifdef BUILDTAGS
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short || \
	CI=true dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) -test.short
else
	CI=true dh_auto_test -O--buildsystem=golang -- -test.short
endif

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	dh_bash-completion -O--buildsystem=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hugo-$1\.tar\.gz/ \
  https://github.com/gohugoio/hugo/tags .*/v?(\d\S*)\.tar\.gz

## hugo 0.26

=== debian/changelog ===
hugo (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Update dependencies:
    - Replace golang-github-bep-inflect-dev with
      golang-github-markbates-inflect-dev
    - Add golang-github-jdkato-prose-dev
  * Update Files listing in debian/copyright
  * Upgrade debian/watch to version 4 format
  * Reformat debian/control with "cme fix dpkg", and bump Standards-Version
    to 4.1.1: Change -dev package priority from extra to optional
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-accommodate-gccgo-in-TestMethodToName.patch which has been
    accepted upstream, see https://github.com/gohugoio/hugo/pull/3747
  * Delete 001-disable-google-analytics-in-docs.patch
    which cannot be applied to Hugo's revamped documentation
  * Disable "hugo -s docs" run because Git submodule
    docs/themes/gohugoioTheme is not checked out

 -- Anthony Fok <foka@debian.org>  Mon, 13 Nov 2017 11:45:19 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hugo
-Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
+Section: web
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 10),
                bash-completion,
                dh-golang,
                golang-any,
                golang-github-bep-gitmap-dev,
-               golang-github-bep-inflect-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
                golang-github-dchest-cssmin-dev,
@@ -18,13 +18,15 @@
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-hashicorp-go-immutable-radix-dev,
+               golang-github-jdkato-prose-dev,
                golang-github-kardianos-osext-dev,
                golang-github-kyokomi-emoji-dev,
+               golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-nicksnyder-go-i18n-dev,
                golang-github-puerkitobio-purell-dev,
-               golang-github-russross-blackfriday-dev,
+               golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
                golang-github-spf13-afero-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
@@ -38,12 +40,11 @@
                golang-golang-x-image-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.0.0
-Homepage: https://gohugo.io/
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
+Homepage: https://gohugo.io/
 XS-Go-Import-Path: github.com/gohugoio/hugo
-Testsuite: autopkgtest-pkg-go
 
 Package: hugo
 Architecture: any
@@ -69,15 +70,11 @@
  Complete documentation is available at https://gohugo.io/
 
 Package: golang-github-gohugoio-hugo-dev
+Architecture: all
 Section: devel
-Priority: extra
-Architecture: all
-Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
-Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-bep-gitmap-dev,
-         golang-github-bep-inflect-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
          golang-github-dchest-cssmin-dev,
@@ -86,8 +83,10 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-gorilla-websocket-dev,
          golang-github-hashicorp-go-immutable-radix-dev,
+         golang-github-jdkato-prose-dev,
          golang-github-kardianos-osext-dev,
          golang-github-kyokomi-emoji-dev,
+         golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-nicksnyder-go-i18n-dev,
@@ -106,6 +105,8 @@
          golang-golang-x-image-dev,
          golang-golang-x-text-dev,
          golang-gopkg-yaml.v2-dev
+Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
+Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Description: Go source code and library of Hugo the static website generator
  Hugo is a static site generator written in Go. It is optimized for speed,
  ease of use, and configurability. Hugo takes a directory with content and

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,8 @@
 endif
 	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
 	$(HUGO) gen man --dir=debian/man
-	# TODO: Add "hugo-docs" package in the future
-	$(HUGO) -s docs -d public/html --uglyURLs
+	# TODO: Add "hugo-docs" package in the future?
+	#$(HUGO) -s docs -d public/html --uglyURLs
 
 # Disable network access during testing by using -test.short flag,
 # and skip Git tests which upstream has also disabled for Travis CI.

## hugo 0.35

=== debian/changelog ===
hugo (0.35-1) unstable; urgency=medium

  * New upstream version 0.35 (Closes: #861492)
    - Update dependencies for new upstream version
    - Add new patch to wrap overly long lines. This fixes a lintian error.
    - Add lintian override for wrong error.
  * Update d/copyright
    - Add information for goHugoioTheme
    - Add information for missing files
    - Remove files which are no longer in upstream's tarball
  * Remove special handling of MIPS architecture.
    This reverts c15ac1c
  * Use debhelper v11
  * Update Standards-Version to 4.1.3, no changes needed
  * Add testdata to DH_GOLANG_INSTALL_EXTRA

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Feb 2018 22:24:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,28 @@
 Section: web
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               bash-completion,
+Build-Depends: bash-completion,
+               debhelper (>= 11),
                dh-golang,
                golang-any,
+               golang-github-alecthomas-chroma-dev,
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
-               golang-github-dchest-cssmin-dev,
+               golang-github-disintegration-imaging-dev,
                golang-github-eknkc-amber-dev,
                golang-github-fortytw2-leaktest-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-gobwas-glob-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-hashicorp-go-immutable-radix-dev,
                golang-github-jdkato-prose-dev,
-               golang-github-kardianos-osext-dev,
                golang-github-kyokomi-emoji-dev,
                golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-nicksnyder-go-i18n-dev,
+               golang-github-olekukonko-tablewriter-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
                golang-github-spf13-afero-dev,
@@ -38,9 +40,11 @@
                golang-github-stretchr-testify-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -48,8 +52,7 @@
 
 Package: hugo
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Description: Fast and flexible Static Site Generator written in Go
  Hugo is a static site generator written in Go. It is optimized for speed,
@@ -72,26 +75,26 @@
 Package: golang-github-gohugoio-hugo-dev
 Architecture: all
 Section: devel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: golang-github-alecthomas-chroma-dev,
          golang-github-bep-gitmap-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
-         golang-github-dchest-cssmin-dev,
+         golang-github-disintegration-imaging-dev,
          golang-github-eknkc-amber-dev,
          golang-github-fortytw2-leaktest-dev,
          golang-github-fsnotify-fsnotify-dev,
+         golang-github-gobwas-glob-dev,
          golang-github-gorilla-websocket-dev,
          golang-github-hashicorp-go-immutable-radix-dev,
          golang-github-jdkato-prose-dev,
-         golang-github-kardianos-osext-dev,
          golang-github-kyokomi-emoji-dev,
          golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-nicksnyder-go-i18n-dev,
+         golang-github-olekukonko-tablewriter-dev,
          golang-github-puerkitobio-purell-dev,
-         golang-github-russross-blackfriday-dev,
+         golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev,
@@ -103,8 +106,12 @@
          golang-github-stretchr-testify-dev,
          golang-github-yosssi-ace-dev,
          golang-golang-x-image-dev,
+         golang-golang-x-net-dev,
+         golang-golang-x-sync-dev,
          golang-golang-x-text-dev,
-         golang-gopkg-yaml.v2-dev
+         golang-gopkg-yaml.v2-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Description: Go source code and library of Hugo the static website generator

=== debian/rules ===
#!/usr/bin/make -f

HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo

export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang
	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
	$(HUGO) gen man --dir=debian/man
	# TODO: Add "hugo-docs" package in the future?
	#$(HUGO) -s docs -d public/html --uglyURLs

# Disable network access during testing by using -test.short flag,
# and skip Git tests which upstream has also disabled for Travis CI.
override_dh_auto_test:
	CI=true dh_auto_test -O--buildsystem=golang -- -test.short

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	dh_bash-completion -O--buildsystem=golang
